SerializableSection (gCube Document Reporting Library 3.0.4-SNAPSHOT API)
Date: 2013-02-26

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.portlets.d4sreporting.common.shared
Class SerializableSection

    java.lang.Object
      org.gcube.portlets.d4sreporting.common.shared.SerializableSection

All Implemented Interfaces:
  Serializable

    public class SerializableSection

extends Object
implements Serializable

The `SerialazableSection` class represents a Template Section that can be associated to any Template

Version:
  April 20011 (1.5)
Author:
  Massimiliano Assante, ISTI-CNR - massimiliano.assante@isti.cnr.it
See Also:
  Serialized Form

Constructor Summary
`SerializableSection()`
`SerializableSection(List<SerializableComponent> components, List<Metadata> metadata)`

Method Summary
`List<SerializableComponent>` | `getComponents()`
`List<Metadata>` | `getMetadata()`
`boolean` | `isLocked()`
`void` | `setComponents(List<SerializableComponent> components)`
`void` | `setLocked(boolean locked)`
`void` | `setMetadata(List<Metadata> metadata)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SerializableSection

    public SerializableSection()

Parameters:
  `components` -
  `metadata` -

### SerializableSection

    public SerializableSection(List<SerializableComponent> components,
                               List<Metadata> metadata)

Parameters:
  `components` - .
  `metadata` - .

Method Detail

### getMetadata

    public List<Metadata> getMetadata()

  Returns:
    .

### setMetadata

    public void setMetadata(List<Metadata> metadata)

  Parameters:
    `metadata` - .

### getComponents

    public List<SerializableComponent> getComponents()

  Returns:
    .

### setComponents

    public void setComponents(List<SerializableComponent> components)

  Parameters:
    `components` - .

### isLocked

    public boolean isLocked()

  Returns:
    .

### setLocked

    public void setLocked(boolean locked)

  Parameters:
    `locked` - .

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013. All Rights Reserved.